<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserResponses extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'recommendations';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

     /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $attributes = [
        'email', 'first_name', 'session_id', 'sex_profile', 'sex',
        'age', 'zipcode', 'latitude', 'longitude', 'city', 'state',
        'allergens', 'deficiencies', 'recommendation', 'buzz_words', 
        'north37', 'prostate_interest', 'prenatal_interest', 
        'postnatal_interest', 'healthy_interest', 'perimenopause_interest',
        'menopause_interest', 'planning_pregnancy', 'pregnant', 
        'breastfeeding', 'taking_medication', 'blood_clotting_issue'
    ];
}
